local RecruitCardItemManager = BaseClass("RecruitCardItemManager")
local __init = function(self)
  self:AddListeners()
end
local __delete = function(self)
  self:RemoveListeners()
end
local OnItemRefresh = function(itemInfo)
  local isOn = Setting:GetBool(SettingKeys.RECRUIT_CARD_REWARD_GET, true)
  if not isOn then
    return
  end
  TimerManager:GetInstance():DelayInvoke(function()
    UIManager:GetInstance():OpenWindow(UIWindowNames.UIRecruitCardRewardGet, {anim = true}, itemInfo)
  end, 0.5)
end
local AddListeners = function(self)
  EventManager:GetInstance():AddListener(EventId.GF_recruit_card_refreshed, self.OnItemRefresh)
end
local RemoveListeners = function(self)
  EventManager:GetInstance():RemoveListener(EventId.GF_recruit_card_refreshed, self.OnItemRefresh)
end
local InitData = function(self)
end
RecruitCardItemManager.__init = __init
RecruitCardItemManager.__delete = __delete
RecruitCardItemManager.AddListeners = AddListeners
RecruitCardItemManager.RemoveListeners = RemoveListeners
RecruitCardItemManager.OnItemRefresh = OnItemRefresh
RecruitCardItemManager.InitData = InitData
return RecruitCardItemManager
